# commit-ai-cli

A powerful CLI tool for generating commit messages using AI, with support for multiple providers:
- OpenAI (GPT-4, GPT-3.5)
- Anthropic (Claude)
- Google (Gemini)

## Installation

```bash
npm install -g commit-ai-cli
```

## Quick Start

1. Run the setup wizard:
```bash
commit-ai setup
```

2. Follow the interactive prompts to:
   - Choose your preferred AI provider
   - Configure your API key
   - Select your preferred model

3. Generate commit messages:
```bash
commit-ai
# or
commit-ai generate
```

## Commands

- `commit-ai setup` - Interactive setup wizard
- `commit-ai generate` - Generate a commit message
- `commit-ai diff` - Show current git changes
- `commit-ai ai --test` - Test your API key configuration

## Options

- `-y, --yes` - Skip confirmation and commit directly
- `--show-diff` - Show diff before generating commit message
- `-d, --debug` - Enable debug mode

## Aliases

The following commands are equivalent:
- `commit-ai`
- `aig`
- `aic`

## API Keys

You can get your API keys from:
- OpenAI: https://platform.openai.com/api-keys
- Anthropic: https://console.anthropic.com/account/keys
- Google: https://makersuite.google.com/app/apikey

## Features

- 🤖 Multiple AI Provider Support
  - OpenAI's GPT models
  - Anthropic's Claude models
  - Google's Gemini models
- 🎯 Conventional Commits Format
- 💡 Smart Context Analysis
- 🔒 Secure API Key Storage
- 🎨 Beautiful CLI Interface
- ⚡ Fast and Efficient

## Requirements

- Node.js >= 14.16
- Git

## License

MIT 