import latestVersion from 'latest-version';
import chalk from 'chalk';
import boxen from 'boxen';

export async function checkVersion(currentVersion) {
    try {
        const latest = await latestVersion('commit-ai-cli');
        
        if (latest !== currentVersion) {
            const message = boxen(
                `Update available! ${chalk.dim(currentVersion)} → ${chalk.green(latest)}\n` +
                `Run ${chalk.cyan('npm i -g commit-ai-cli@latest')} to update`,
                {
                    padding: 1,
                    margin: 1,
                    borderColor: 'yellow',
                    borderStyle: 'round'
                }
            );
            console.log(message);
        }
    } catch (error) {
        // Silently fail version check - don't interrupt the main flow
    }
} 